.summary {
  background-color: var(--color-base-bg-2);
  border: 1px solid var(--color-base-bg-2);
  border-radius: 3px;
    .summary-thumbnail {
    max-height: 300px;
    overflow: hidden;
    a {
      display: block;
    }
    img {
      width: 100%;
      height: auto;
      vertical-align: bottom;
      border-radius: 8px;
      &:hover {
        opacity: 0.8;
      }
    }
  }
}

.summary-logo {
  display: block;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  width: 50%;
  padding-bottom: 2rem;
  padding-top: 2rem;
  }

.summary-icon {
    vertical-align: top;
    text-align: right;
    margin-top: auto;
    float: right;
  }

.summary.summary-background-overlay {
  flex-direction: row;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  border: none;
  border-radius: 10px;
  background-color: var(--color-base-bg-2);
  min-height: 420px;
  a {
    display: flex;
    flex: 1;
    border-radius: 10px;
    mix-blend-mode: hard-light;
    background-image: linear-gradient(
      to top,
      var(--color-primary-bg),
      var(--color-primary-bg-2)
    );
    &:hover {
      text-decoration: none;
      background-blend-mode: hard-light;
      background-image: linear-gradient(
        to top,
        var(--color-primary-bg),
        var(--color-primary-bg-2)
      );
    }
  }
  .summary-content {
    display: flex;
  }
  .summary-category {
    margin-bottom: 10px;
    font-size: 1.8rem;
    color: var(--color-base-text);
    position: relative;
    top: 0;
    right: 0;
    img {
      width: 30px;
      max-width: 100%;
      height: auto;
    }
  }
  .summary-title {
    margin-top: 30px;
    h2 {
      color: var(--color-primary-text);
      font-weight: normal;
    }
  }
  .summary-description {
    margin-top: auto;
    p {
      color: var(--color-primary-text);
      font-family: var(--font-family-monospace);
      font-size: 0.8rem;
      line-height: 1.34;
    }
  }
}

.summary.summary-background {
  flex-direction: row;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  border: none;
  border-radius: 8px;
  background-color: var(--color-base-bg-2);
  min-height: 460px;
  a {
    display: flex;
    flex: 1;
    border-radius: 10px;
    color: var(--color-primary-text);
    text-decoration: none;
    &:hover {
      text-decoration: none;
      color: var(--color-primary-text);
    }
  }
  .summary-content {
    display: flex;
  }
  .summary-category {
    margin-bottom: 10px;
    font-size: 1.8rem;
    color: #ffffff;
    position: relative;
    top: 0;
    right: 0;
    img {
      width: 30px;
      max-width: 100%;
      height: auto;
    }
  }
  .summary-title {
    margin: 30px ;
    h2 {
      color: #ffffff;
      font-weight: 500;
      font-weight: bold;
    }
  }
  .summary-period {
    margin-top: 0px;
    h3 {
      color: #ffffff;
      font-weight: 500;
    }
  }
  .summary-description {
    margin-top: auto;
    margin-left: 30px;
    p {
      color: var(--color-primary-text);
      font-size: 1.2rem;
      line-height: 1.34;
    }
  }
}


.dark-mode-switcher {
  .dark-mode-switch {
    border: 1px solid var(--color-base-bg-2);
    background-color: var(--color-base-bg-2);
  }
}

.card-overlay {
  background: rgba(0, 0, 0, 0.4);
  width: 100%;
  &:hover {
    background: rgba(0, 0, 0, 0.8);
  }
}

.sticky {
  position: sticky;
  top: 100px;
}

.video-container {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
}

.video-item {
  position: absolute;
  top: 0; left: 0;
  width: 100%;
  height: 100%;
  border:0;
}